package org.firstinspires.ftc.teamcode.subsystem;

import androidx.annotation.NonNull;

import com.acmerobotics.dashboard.telemetry.TelemetryPacket;
import com.acmerobotics.roadrunner.Action;

import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierCurve;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierLine;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;


/*
    AutoLine# - This file does something of a path......

 */
public class AutoLine2 {
    private PathChain pathChain;
    public void moveToAutoLine2(Follower robot) {
        PathBuilder builder = new PathBuilder();
        builder
                .addPath(
                        // Line 2
                        new BezierCurve(
                                new Point(36.000, 72.000, Point.CARTESIAN),
                                new Point(24.000, 24.000, Point.CARTESIAN),
                                new Point(72.000, 36.000, Point.CARTESIAN),
                                new Point(56.000, 24.000, Point.CARTESIAN)
                        )
                )
                .setLinearHeadingInterpolation(Math.toRadians(0), Math.toRadians(180));
        pathChain = builder.build();
        robot.followPath(pathChain);
    }
}

